Modify

Opened 8 years ago

Closed 8 years ago

#8062 closed defect (fixed)

Error when removing lines from relations

Reported by: anonymous Owned by: Zverikk
Priority: normal Milestone:
Component: Plugin reltoolbox Version:
Keywords: Cc:

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if
possible.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-08-31 01:31:11
Last Changed Author: Don-vip
Revision: 5485
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-08-31 00:21:56 +0200 (Fri, 31 Aug 2012)
Last Changed Rev: 5485

Identification: JOSM/1.5 (5485 ru)
Memory Usage: 103 MB / 494 MB (30 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows XP

Dataset consistency test:
[DELETED REFERENCED] {Relation id=227990 version=382 MVT [линия 127170921, линия 31373888, линия 172705456, линия 31366043, линия 52721970, линия 21898191, линия 37633006, линия 37633003, линия 93991765, линия 31387319, линия 158673486, линия 158673496, линия 158673488, линия 158673475, линия 4455665, линия 158673442, линия 158673433, линия 158673450, линия 158673428, линия 158673425, линия 158673440, линия 158673447, линия 158673444, линия 158673437, линия 158673435, линия 160044051, линия 158673430, линия 174739848, линия 160044052, линия 31402269, линия 31370128, линия 30446936, линия 54905802, линия 37632993, линия 37632987, линия 31379897, линия 52721969, линия 108249873, линия 172703090, линия 70003821, линия 31398624, линия 172705457, лин

Attachments (0)

Change History (5)

comment:1 Changed 8 years ago by Don-vip

Owner: changed from team to anonymous
Status: newneedinfo

Please, we need more info. What were you doing, what were you expecting, and what happened ?

comment:2 Changed 8 years ago by Larry0ua

Component: CorePlugin reltoolbox
Keywords: template_report removed
Summary: Ошибка при удалении линий из отношенияError when removing lines from relations

I also have seen such exception, steps were like following:

  1. Find a relation1 that contains another relation2 as a member.
  2. Remove relation2 (select it and remove) using reltoolbox (X button)
  3. Try to add something to relation1, see exception.

Something like that may occur when removing referenced nodes or ways, not only with relations.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-09-24 01:31:06
Last Changed Author: Don-vip
Revision: 5516
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-09-23 17:49:46 +0200 (Sun, 23 Sep 2012)
Last Changed Rev: 5516

Identification: JOSM/1.5 (5516 en)
Memory Usage: 247 MB / 989 MB (154 MB allocated, but free)
Java version: 1.7.0_07, Oracle Corporation, Java HotSpot(TM) Client VM
Operating system: Windows 7

Dataset consistency test:
[DELETED REFERENCED] {Relation id=-91 version=0 MVT [way -85, relation -92, way -82]} refers to deleted primitive {Relation id=-92 version=0 MVDT]}


Plugin: FastDraw (28656)
Plugin: OpeningHoursEditor (28656)
Plugin: PicLayer (28660)
Plugin: buildings_tools (28656)
Plugin: jts (28415)
Plugin: opendata (28696)
Plugin: print (28656)
Plugin: reltoolbox (28720)
Plugin: utilsplugin2 (28656)
Plugin: vectorizer (26605)

org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Deleted member referenced: {Relation id=-91 version=0 MVT [way -85, relation -92, way -82]}
	at org.openstreetmap.josm.data.osm.Relation.checkMembers(Relation.java:478)
	at org.openstreetmap.josm.data.osm.Relation.fireMembersChanged(Relation.java:485)
	at org.openstreetmap.josm.data.osm.Relation.setMembers(Relation.java:59)
	at org.openstreetmap.josm.data.osm.Relation.cloneFrom(Relation.java:223)
	at org.openstreetmap.josm.command.ChangeCommand.executeCommand(ChangeCommand.java:43)
	at org.openstreetmap.josm.data.UndoRedoHandler.addNoRedraw(UndoRedoHandler.java:36)
	at org.openstreetmap.josm.data.UndoRedoHandler.add(UndoRedoHandler.java:58)
	at relcontext.actions.AddRemoveMemberAction.actionPerformed(AddRemoveMemberAction.java:79)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$200(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:3 Changed 8 years ago by stoecker

Owner: changed from anonymous to team
Status: needinfonew

comment:4 Changed 8 years ago by skyper

Owner: changed from team to Zverikk

comment:5 Changed 8 years ago by Zverikk

Resolution: fixed
Status: newclosed

Fixed in [o28813].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Zverikk.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.